### 查询单个产品及数据(json)

> get HTTP://{ip}:{port}/cooperation/wande/queryData.do

#### 参数

- `pid` 产品id

#### 响应 

```json5
{
	"code": 200,
	"returnValue": {
		"product": {
			"alikeName": "147家钢厂废钢日耗",
			"diffName": "华北",
			"propValueStr": "区域:华北地区,报价类型:废钢日耗",
			"pattern":"华北:147家钢厂废钢日耗"
		},
		"data": [{
				"priceStr": "344460",
				"uad": "涨2170",
				"datadate": "2019-07-04 16:31:33"
			},
			{
				"priceStr": "342290",
				"uad": "跌4010",
				"datadate": "2019-07-01 09:14:14"
			}
		]
	}
}
```

### 查询所有产品的数据(json)

> get HTTP://{ip}:{port}/cooperation/wande/queryLastData.do

#### 响应

```json5
{
	"code": 200,
	"returnValue": {
		"data": [{
				"priceStr": "2459.82",
				"uad": "跌0.07%",
				"datadate": "2019-07-08 16:14:08",
				"pid": 13170
			},
			{
				"priceStr": "2470.32",
				"uad": "跌0.05%",
				"datadate": "2019-07-08 16:14:08", 
				"pid": 16865
			}
		]
	}
}

```

### 查询修正产品的数据(json)

> get HTTP://{ip}:{port}/cooperation/wande/queryReviseData.do

- 如果当天没有修正的价格,不返回returnValue
- 如果当天有修正的价格,返回的returnValue中的key是产品的id,value[product产品类型，data价格数组]

#### 响应

```json5

	{
	"code": 200,
	"returnValue": {
		"23617": {
			"product": {
				"alikeName": "废钢日耗（按区）",
				"diffName": "华北",
				"propValueStr": "区域:华北地区,报价类型:废钢日耗"
			},
			"data": [{
					"priceStr": "79000",
					"uad": "跌500",
					"datadate": "2019-07-11 15:59:23"
				},
				{
					"priceStr": "79500",
					"uad": "涨1800",
					"datadate": "2019-07-04 00:00:00"
				}
			]
		},
		"23622": {
			"product": {
				"alikeName": "废钢日耗（按省）",
				"diffName": "江苏",
				"propValueStr": "区域:华东地区,省份:江苏,报价类型:废钢日耗"
			},
			"data": [{
					"priceStr": "82300",
					"uad": "稳",
					"datadate": "2019-07-11 15:59:23"
				},
				{
					"priceStr": "82300",
					"uad": "跌2000",
					"datadate": "2019-07-04 00:00:00"
				}
			]
		}
	}
}


``` 