package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers/factor_edb_series:FactorEdbSeriesController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers/factor_edb_series:FactorEdbSeriesController"],
        beego.ControllerComments{
            Method: "ChartRecalculate",
            Router: `/chart_recalculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers/factor_edb_series:FactorEdbSeriesController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers/factor_edb_series:FactorEdbSeriesController"],
        beego.ControllerComments{
            Method: "Recalculate",
            Router: `/recalculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers/fix:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers/fix:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "FixTableV1",
            Router: `/v1`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers/future_good:FutureGoodEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers/future_good:FutureGoodEdbInfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers/future_good:FutureGoodEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers/future_good:FutureGoodEdbInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers/future_good:FutureGoodEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers/future_good:FutureGoodEdbInfoController"],
        beego.ControllerComments{
            Method: "RefreshRelation",
            Router: `/relation/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers/open:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers/open:EdbInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/edb/detail`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaiinfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaiinfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaiinfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaiinfoController"],
        beego.ControllerComments{
            Method: "HandleExcelData",
            Router: `/handle/excel_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaiinfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaiinfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "AddBatchLyEdbData",
            Router: `/add/batch/ly/edb/data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "AddLyDataList",
            Router: `/add/ly/data/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "AddLyIndex",
            Router: `/add/ly/index`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "AddLyIndexRecord",
            Router: `/add/ly/index/record`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "CheckLyIndexRecordIsExist",
            Router: `/check/ly/index/record/is/exist`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "GetEdbInfoByIndexCode",
            Router: `/get/edb/info/by/index/code`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "GetLyClassifyByName",
            Router: `/get/ly/classify/by/name`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "GetLyDataByIndexIdAndDataTime",
            Router: `/get/ly/data/by/index/id/and/data/time`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "GetLyDataByIndexIdAndDataTimeYM",
            Router: `/get/ly/data/by/index/id/and/data/time/ym`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "GetLyEdbDataByIndexCodeAndDataTime",
            Router: `/get/ly/edb/data/by/index/code/and/data/time`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "GetLyEdbDataByIndexCodeAndExactDataTime",
            Router: `/get/ly/edb/data/by/index/code/and/exact/data/time`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "GetLyIndexByCode",
            Router: `/get/ly/index/by/code`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "GetLyIndexRecordByUrl",
            Router: `/get/ly/index/record/by/url`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "UpdateLyDataById",
            Router: `/update/ly/data/by/id`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromLyController"],
        beego.ControllerComments{
            Method: "UpdateLyEdbDataById",
            Router: `/update/ly/edb/data/by/id`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromTradeAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BaseFromTradeAnalysisController"],
        beego.ControllerComments{
            Method: "EdbRefresh",
            Router: `/edb/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BloombergController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BloombergController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BloombergController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BloombergController"],
        beego.ControllerComments{
            Method: "PCSGImportHistoryData",
            Router: `/pcsg/import_history_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BloombergController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BloombergController"],
        beego.ControllerComments{
            Method: "PCSGRefreshTask",
            Router: `/pcsg/refresh_task`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BloombergController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BloombergController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"],
        beego.ControllerComments{
            Method: "DelIndexData",
            Router: `/data/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"],
        beego.ControllerComments{
            Method: "HandleBusinessIndexData",
            Router: `/handle`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"],
        beego.ControllerComments{
            Method: "DelIndex",
            Router: `/index/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:BusinessIndexController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CCFController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CCFController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CCFController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CCFController"],
        beego.ControllerComments{
            Method: "HandleEdbData",
            Router: `/handle/edb_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CCFController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CCFController"],
        beego.ControllerComments{
            Method: "HandleTableData",
            Router: `/handle/table_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CCFController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CCFController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "SaveAdjust",
            Router: `/adjust/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "Calculate",
            Router: `/base`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "StepCalculate",
            Router: `/base/step_calculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "BatchEdit",
            Router: `/batch/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "BatchEditMulti",
            Router: `/batch/edit/multi`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "BatchSave",
            Router: `/batch/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "BatchSaveMulti",
            Router: `/batch/save/multi`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "CalculateComputeCorrelation",
            Router: `/compute_correlation`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "ResetCustomAnalysisData",
            Router: `/custom_analysis/reset`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CalculateController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CffexController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CffexController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CffexController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CffexController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"],
        beego.ControllerComments{
            Method: "Coastal",
            Router: `/coastal`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"],
        beego.ControllerComments{
            Method: "CoastalHistory",
            Router: `/coastal/history`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"],
        beego.ControllerComments{
            Method: "Firm",
            Router: `/firm`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"],
        beego.ControllerComments{
            Method: "Inland",
            Router: `/inland`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"],
        beego.ControllerComments{
            Method: "InlandHistory",
            Router: `/inland/history`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"],
        beego.ControllerComments{
            Method: "Jsm",
            Router: `/jsm`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:CoalMineDataController"],
        beego.ControllerComments{
            Method: "JsmHistory",
            Router: `/jsm/history`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ComTradeController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ComTradeController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ComTradeController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ComTradeController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:DlController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:DlController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:DlController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:DlController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbClassifyController"],
        beego.ControllerComments{
            Method: "GetOrAdd",
            Router: `/get_or_add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "ResetEdbClassify",
            Router: `/classify_reset`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "CopyCalculateFromHz",
            Router: `/copy/calculate/from/hz`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "CopyFromHz",
            Router: `/copy/from/hz`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbIndexDetail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "RefreshCheck",
            Router: `/refresh_check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoStatController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbInfoStatController"],
        beego.ControllerComments{
            Method: "SetEdbSourceStat",
            Router: `/source_update`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbRefreshController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbRefreshController"],
        beego.ControllerComments{
            Method: "GetDefaultConfigList",
            Router: `/config/default/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbRefreshController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbRefreshController"],
        beego.ControllerComments{
            Method: "GetMysteelIndexConfigList",
            Router: `/config/mysteel_index/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbRefreshController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EdbRefreshController"],
        beego.ControllerComments{
            Method: "GetSmmConfigList",
            Router: `/config/smm/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EiaSteoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EiaSteoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EiaSteoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:EiaSteoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ExchangeCrawler"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ExchangeCrawler"],
        beego.ControllerComments{
            Method: "RefreshIne",
            Router: `/refresh/ine`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ExchangeCrawler"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ExchangeCrawler"],
        beego.ControllerComments{
            Method: "RefreshSH",
            Router: `/refresh/sh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"],
        beego.ControllerComments{
            Method: "BaseIndexList",
            Router: `/base_index_list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"],
        beego.ControllerComments{
            Method: "ClassifyTree",
            Router: `/classify_tree`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"],
        beego.ControllerComments{
            Method: "HandleExcelData",
            Router: `/handle/excel_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"],
        beego.ControllerComments{
            Method: "NetDataHandle",
            Router: `/net/data/handle`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FenweiController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FuBaoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FuBaoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FuBaoController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:FuBaoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GieController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GieController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GieController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GieController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GoogleTravelController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GoogleTravelController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GoogleTravelController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GoogleTravelController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GzController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GzController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GzController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:GzController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:HisugarController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:HisugarController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:HisugarController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:HisugarController"],
        beego.ControllerComments{
            Method: "HandleEdbData",
            Router: `/handle/edb_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:HisugarController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:HisugarController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:IcpiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:IcpiController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:IcpiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:IcpiController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:JiaYueController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:JiaYueController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:JiaYueController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:JiaYueController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:JiaYueController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:JiaYueController"],
        beego.ControllerComments{
            Method: "SyncNewIndex",
            Router: `/sync_new_index`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:LtController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:LtController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:LtController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:LtController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:LzController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:LzController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:LzController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:LzController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ManualController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ManualController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ManualController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ManualController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MtjhDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MtjhDataController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MtjhDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MtjhDataController"],
        beego.ControllerComments{
            Method: "Mtjh",
            Router: `/data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MtjhDataController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MtjhDataController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "AddMysteelIndex",
            Router: `/add/mysteel/index`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexByFrequency",
            Router: `/getIndexByFrequency`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexCountByFrequency",
            Router: `/getIndexCountByFrequency`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexCountByMergeFilePath",
            Router: `/getIndexCountByMergeFilePath`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexCreate",
            Router: `/getIndexCreate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexLimitByFrequency",
            Router: `/getIndexLimitByFrequency`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexPageByFrequency",
            Router: `/getIndexPageByFrequency`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexRefreshMethanolByMergeFile",
            Router: `/getIndexRefreshMethanolByMergeFile`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexRefreshMethanolByTimely",
            Router: `/getIndexRefreshMethanolByTimely`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexRefreshWeek",
            Router: `/getIndexRefreshWeek`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetMaxFileIndex",
            Router: `/getMaxFileIndex`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetNoMergeIndexByFrequencyCount",
            Router: `/getNoMergeIndexByFrequencyCount`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetNoMergeIndexByFrequencyPage",
            Router: `/getNoMergeIndexByFrequencyPage`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "HandleApiMysteelIndex",
            Router: `/handle/api/mysteel/index`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "ApiHealthCheck",
            Router: `/handle/mysteel/api/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "HandleMysteelIndex",
            Router: `/handle/mysteel/index`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "GetIndexDetailByCode",
            Router: `/index_detail`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "MultiUpdateIndex",
            Router: `/multiUpdateIndex`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "MysteelClassifyGetOrAdd",
            Router: `/mysteel_classify/get_or_add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "QueryRefresh",
            Router: `/query/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelChemicalController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:MySteelController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:NationalStatisticsController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:NationalStatisticsController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:NationalStatisticsController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:NationalStatisticsController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:OilchemController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:OilchemController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:OilchemController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:OilchemController"],
        beego.ControllerComments{
            Method: "HandleEdbData",
            Router: `/handle/edb_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:OilchemController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:OilchemController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PbController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PbController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PbController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PbController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PbFinanceController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PbFinanceController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PbFinanceController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PbFinanceController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictCalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictCalculateController"],
        beego.ControllerComments{
            Method: "CalculateBatchSave",
            Router: `/batch/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictCalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictCalculateController"],
        beego.ControllerComments{
            Method: "CalculateComputeCorrelation",
            Router: `/compute_correlation`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictCalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictCalculateController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictCalculateController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictCalculateController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictController"],
        beego.ControllerComments{
            Method: "CalculateByNinePreview",
            Router: `/calculate_by_nine/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PredictController"],
        beego.ControllerComments{
            Method: "AddStaticEdb",
            Router: `/static_edb/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PythonController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PythonController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PythonController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PythonController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PythonController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:PythonController"],
        beego.ControllerComments{
            Method: "ExcePython",
            Router: `/exec`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:Sci99Controller"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:Sci99Controller"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:Sci99Controller"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:Sci99Controller"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:Sci99Crawler"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:Sci99Crawler"],
        beego.ControllerComments{
            Method: "RefreshSci99Classify",
            Router: `/refresh/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciController"],
        beego.ControllerComments{
            Method: "HandleExcelData",
            Router: `/handle/excel_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciHqController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciHqController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciHqController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciHqController"],
        beego.ControllerComments{
            Method: "HandleExcelData",
            Router: `/handle/excel_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciHqController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SciHqController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShanghaiSmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShanghaiSmmController"],
        beego.ControllerComments{
            Method: "RefreshExcel",
            Router: `/refresh/excel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShanghaiSmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShanghaiSmmController"],
        beego.ControllerComments{
            Method: "RefreshData",
            Router: `/refresh/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShfeController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShfeController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShfeController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ShfeController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"],
        beego.ControllerComments{
            Method: "AddIndexToDataSource",
            Router: `/add/index/to_data_source`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"],
        beego.ControllerComments{
            Method: "HandleExcelData",
            Router: `/handle/excel_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"],
        beego.ControllerComments{
            Method: "GetIndexDetailFromDataSourceByCode",
            Router: `/index_detail/from_data_source`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"],
        beego.ControllerComments{
            Method: "SmmGetOrAdd",
            Router: `/smm_classify/get_or_add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:SmmController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/zhongji/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:StockPlantController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:StockPlantController"],
        beego.ControllerComments{
            Method: "Calculate",
            Router: `/calculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:StockPlantController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:StockPlantController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsDsController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsDsController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/ds/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsDsController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsDsController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/ds/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"],
        beego.ControllerComments{
            Method: "BaseAdd",
            Router: `/hf/base/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"],
        beego.ControllerComments{
            Method: "BaseRefresh",
            Router: `/hf/base/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"],
        beego.ControllerComments{
            Method: "EdbAdd",
            Router: `/hf/edb/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"],
        beego.ControllerComments{
            Method: "EdbRefresh",
            Router: `/hf/edb/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ThsHfController"],
        beego.ControllerComments{
            Method: "GetData",
            Router: `/hf/edb_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:WindController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:WindController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:WindController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:WindController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:WindWsdController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:WindWsdController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/wsd/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:WindWsdController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:WindWsdController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/wsd/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:YongyiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:YongyiController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:YongyiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:YongyiController"],
        beego.ControllerComments{
            Method: "HandleExcelData",
            Router: `/handle/excel_data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:YongyiController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:YongyiController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ZzController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ZzController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ZzController"] = append(beego.GlobalControllerRouter["eta/eta_index_lib/controllers:ZzController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
